[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#410173: kontact: sync fails with undefined symbol

Package: kontact
Version: 4:3.5.5.dfsg.1-6
Severity: normal

Hi, when I try to sync my Kontact Contacts with my WinCE iPaq, using
kontact's synchronisation option, the synce-device konnector and the
addressbook connector plugins, the kontact window just disappears
without any error message. (No error message is bad, but not syncing is

If ran from konsole, I see what it prints:

kontact: symbol lookup error: /usr/lib/libsyncedevicekonnector.so: undefined symbol: _ZN3Rra7connectEv

Probably missing dependencies, or incompatible versions of packages? I
don't know. But I would like to be able to sync, and this part just
doesn't work.


-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (500, 'testing'), (499, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-2-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages kontact depends on:
ii  kdelibs4c2a            4:3.5.5a.dfsg.1-5 core libraries and binaries for al
ii  libc6                  2.3.6.ds1-10      GNU C Library: Shared libraries
ii  libgcc1                1:4.1.1-21        GCC support library
ii  libkcal2b              4:3.5.5.dfsg.1-6  KDE calendaring library
ii  libkdepim1a            4:3.5.5.dfsg.1-6  KDE PIM library
ii  libkpimidentities1     4:3.5.5.dfsg.1-6  KDE PIM user identity information 
ii  libqt3-mt              3:3.3.7-3         Qt GUI Library (Threaded runtime v
ii  libstdc++6             4.1.1-21          The GNU Standard C++ Library v3

Versions of packages kontact recommends:
ii  kaddressbook            4:3.5.5.dfsg.1-6 KDE NG addressbook application
ii  kitchensync             4:3.5.5.dfsg.1-6 Synchronization framework
ii  kmail                   4:3.5.5.dfsg.1-6 KDE Email client
ii  knode                   4:3.5.5.dfsg.1-6 KDE news reader
ii  knotes                  4:3.5.5.dfsg.1-6 KDE sticky notes
ii  korganizer              4:3.5.5.dfsg.1-6 KDE personal organizer

-- no debconf information

Versions of packages I think may be interesting, but it seems there is
no dependency link for them:
ii  multisync                0.82-8          A program to synchronize PIM data
ii  synce-kde                0.9.1-1         PC / Windows CE connection service application
ii  synce-multisync-plugin   0.9.0-4         a plugin for multisync to sync with your WindowsCE devices
ii  synce-serial             0.9.1-3         SynCE connection manipulation scripts
ii  syncekonnector           0.3.2-3         a connector-plugin for raki (SynCE-KDE)
ii  libsynce0                0.9.3-1         A helper library for synce, a tool to sync WinCE devices

Reply to: